#include "Placement.h"

Placement::Placement() {
  this->position = Vector3::zero;
  this->thing = nullptr;
}

Placement::Placement(Thing* thing,
                     Vector3 position,
                     float horizontalDirection,
                     float verticalDirection) {
  this->thing = thing;
  this->position = position;
  this->horizontalDirection = horizontalDirection;
  this->verticalDirection = verticalDirection;
}

Placement::Placement(Thing* thing,
                     float horizontalDirection,
                     float verticalDirection)
    : Placement(thing, Vector3::zero, horizontalDirection, verticalDirection) {}
